Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
eZContentStructureTreeOperator Class Reference

## Public Member Functions
| __construct ( $name='content_structure_tree')
| operatorList ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Static Public Member Functions
| subTree ( $params, $nodeID, $countChildren=false)
| contentStructureTree ( $rootNodeID, $classFilter, $maxDepth, $maxNodes, $sortArray, $fetchHidden, $unfoldNodeID)

## Public Attributes
| $Operators

## Static Private Member Functions
| oneLevelChildren (&$contentTree, &$classFilter, &$sortBy, &$nodesLeft, $fetchHidden)
| children (&$contentTree, &$classFilter, &$depthLeft, &$nodesLeft, &$sortBy, $fetchHidden, $unfoldNodeID)
| createContentStructureNode (&$treeNode, $childrenCount)
| initContentStructureTree ( $rootNodeID, $fetchHidden, $classFilter=false)

## Detailed Description

Definition at line 16 of file ezcontentstructuretreeoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentStructureTreeOperator::__construct | ( |  | $name = `'content_structure_tree'` | ) |

Constructor

Parameters

  string | $name |

Definition at line 23 of file ezcontentstructuretreeoperator.php.

## Member Function Documentation

## ◆ children()

eZContentStructureTreeOperator::children | ( | & | $contentTree,
|  | & | $classFilter,
|  | & | $depthLeft,
|  | & | $nodesLeft,
|  | & | $sortBy,
|  |  | $fetchHidden,
|  |  | $unfoldNodeID
| ) |  |
| static private

Creates a tree of content by recursive calls to children and oneLevelChildren. $contentTree is a tree at previous call to children. $classFilter is an array of class ids. Only nodes of these classes will be fetched from db. $depthLeft determines a depth of recursion. $nodesLeft determines a number of nodes which are left to fetch. $sortBy is a method of sorting one-level children. $fetchHidden - should or not fetch unpublished/hidden nodes

Definition at line 323 of file ezcontentstructuretreeoperator.php.

References oneLevelChildren().

Referenced by contentStructureTree().

## ◆ contentStructureTree()

eZContentStructureTreeOperator::contentStructureTree | ( |  | $rootNodeID,
|  |  | $classFilter,
|  |  | $maxDepth,
|  |  | $maxNodes,
|  |  | $sortArray,
|  |  | $fetchHidden,
|  |  | $unfoldNodeID
| ) |  |
| static

\Returns a tree of content structure: tree = array( tree_node, children ), where 'tree_node' is array( 'node' => info about node, 'object' => info about object );

'children' is array( tree_node, children );

Definition at line 222 of file ezcontentstructuretreeoperator.php.

References children(), and initContentStructureTree().

Referenced by modify().

## ◆ createContentStructureNode()

eZContentStructureTreeOperator::createContentStructureNode | ( | & | $treeNode,
|  |  | $childrenCount
| ) |  |
| static private

Creates a node of content structure tree and sets up attributes of node using $treeNode to retrieve necessary data.

Returns
  new content structure tree node.

Definition at line 360 of file ezcontentstructuretreeoperator.php.

References eZContentObjectTreeNode\availableClassListJsArray(), eZContentLanguage\jsArrayByMask(), eZContentClass\nameFromSerializedString(), and eZContentObjectTreeNode\sortArrayBySortFieldAndSortOrder().

Referenced by oneLevelChildren().

## ◆ initContentStructureTree()

eZContentStructureTreeOperator::initContentStructureTree | ( |  | $rootNodeID,
|  |  | $fetchHidden,
|  |  | $classFilter = `false`
| ) |  |
| static private

Initializes a tree: creates root node.

Returns
  a tree with one node and empty children subtree.

Definition at line 387 of file ezcontentstructuretreeoperator.php.

References eZContentObjectTreeNode\availableClassListJsArray(), eZContentObjectTreeNode\fetch(), and eZContentLanguage\jsArrayByMask().

Referenced by contentStructureTree().

## ◆ modify()

eZContentStructureTreeOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 64 of file ezcontentstructuretreeoperator.php.

References contentStructureTree().

## ◆ namedParameterList()

eZContentStructureTreeOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 39 of file ezcontentstructuretreeoperator.php.

## ◆ oneLevelChildren()

eZContentStructureTreeOperator::oneLevelChildren | ( | & | $contentTree,
|  | & | $classFilter,
|  | & | $sortBy,
|  | & | $nodesLeft,
|  |  | $fetchHidden
| ) |  |
| static private

Parameters the same as in children. \Returns one-level children.

Definition at line 247 of file ezcontentstructuretreeoperator.php.

References createContentStructureNode(), and subTree().

Referenced by children().

## ◆ operatorList()

eZContentStructureTreeOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 31 of file ezcontentstructuretreeoperator.php.

References $Operators.

## ◆ subTree()

eZContentStructureTreeOperator::subTree | ( |  | $params,
|  |  | $nodeID,
|  |  | $countChildren = `false`
| ) |  |
| static

Returns one-level children of node $nodeID if $countChildren = false, othewise returns count of one-level children of node nodeID.

Definition at line 107 of file ezcontentstructuretreeoperator.php.

References eZContentObjectTreeNode\createClassFilteringSQLString(), eZContentObjectTreeNode\createPathConditionAndNotEqParentSQLStrings(), eZContentObjectTreeNode\createPermissionCheckingSQL(), eZContentObjectTreeNode\createShowInvisibleSQLString(), eZContentObjectTreeNode\createSortingSQLStrings(), eZContentObjectTreeNode\fetch(), eZContentObjectTreeNode\getLimitationList(), eZDB\instance(), and eZContentLanguage\sqlFilter().

Referenced by oneLevelChildren().

## Member Data Documentation

## ◆ $Operators

eZContentStructureTreeOperator::$Operators

Definition at line 440 of file ezcontentstructuretreeoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezcontentstructuretreeoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.